Subject: bug#71469: font-lock does not apply standard faces and their descendants

From: Konstantin Kharlamov <[email-masked]>
Date: Tue, 08 Oct 2024 16:25:32 +0300

On Tue, 2024-10-08 at 14:57 +0200, Robert Pluim wrote:
> > > > > > On Sat, 05 Oct 2024 09:06:24 -0400, Stefan Monnier via "Bug
> > > > > > reports for GNU Emacs, the Swiss army knife of text
> > > > > > editors" <[email-masked]> said:
> 
>     >> We have occasionally declared things obsolete with the
> understanding
>     >> that they'll be deleted much later than the normal "10 years,
> give or
>     >> take".  See the comment in `interactive-p', for example.
>     >> 
>     >> The patch below gives me 64 warnings in our tree.  I'm not
> sure if it's
>     >> worth installing or not.
> 
>     Stefan> FWIW, it's a +1 from me (assuming we then silence the
> resulting
>     Stefan> warnings, of course).
> 
> emacs-lisp/lisp-mode.el:311:18: Warning: ‘font-lock-warning-face’ is
> an obsolete variable (as of 31.1); use ’font-lock-warning-face
> instead.
> 
> sounds like a great way to cause confusion. How about:
> 
> "use value 'font-lock-comment-face directly instead"

Maybe "pass font-lock-comment-face as a symbol instead"? To understand
what "directly" means one would have to notice the lone singular quote,
which I didn't when I read the suggestion, so I imagine I'd feel
confused had I not know what the warning is about.